View Single Post
Old 10-01-2019, 09:06 AM   #1
Nonlinear
Human being with feelings
 
Join Date: Apr 2018
Posts: 270
Default Anyone here building iPlug1 on Xcode 10+?

I understand OS Catalina will require plugins to be built in Xcode 10+. All my iPlug projects are in Xcode 9.4.1 and will NOT compile in Xcode 10.

Oli made a change to iPlug for Xcode 10 before archiving it but it still won't compile for me on Xcode 10/11. I have changed all the ARCHS in build settings to "x64" but still no go. Apparently something in iPlug requires 32-bit compilation and will not build as ONLY 64-bit.

Anyone here successfully compiling iPlug projects on Xcode 10+? If so, how did you get it to work - compile/build settings, file changes, etc.?

(Yes, I know I need to migrate to iPlug2. However my iPlug plugins have been thoroughly vetted and I don't want to throw something new into the mix on existing products. However if this is the end of the road for iPlug1 then I guess I will have no choice.)
Nonlinear is online now   Reply With Quote